import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'
import svgLoader from 'vite-svg-loader'
import { svgBuilder } from './src/plugins/svgBuilder'
import vueJsx from '@vitejs/plugin-vue-jsx'

// https://vitejs.dev/config/
export default defineConfig({
  resolve:{
    alias: {
      '@': path.resolve(__dirname, '/src'),
    },
  },
  // base: process.env.ELECTRON=="true" ? './' : "",
  base: './' ,
  plugins: [
    vue(),
    vueJsx({
      // options are passed on to @vue/babel-plugin-jsx
    }),
    svgLoader(), 
    svgBuilder('./src/assets/svgs/')
  ],
  // server:{
  //   hmr: {
  //     overlay: false
  //   },
  //   // fs:{
  //   //   strict: false,
  //   //   allow:[
  //   //     '.'
  //   //   ]
  //   // }
  // }

  // to make use of `TAURI_PLATFORM`, `TAURI_ARCH`, `TAURI_FAMILY`,
  // `TAURI_PLATFORM_VERSION`, `TAURI_PLATFORM_TYPE` and `TAURI_DEBUG`
  // env variables
  envPrefix: ['VITE_', 'TAURI_'],

})
